Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_AES_CCM_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_BYTE_PTR | pAAD
CK_BYTE_PTR | pNonce
CK_ULONG | ulAADLen
CK_ULONG | ulDataLen
CK_ULONG | ulMACLen
CK_ULONG | ulNonceLen

## Detailed Description

Definition at line 1867 of file pkcs11t.h.

## Member Data Documentation

CK_BYTE_PTR CK_AES_CCM_PARAMS::pAAD

Definition at line 1871 of file pkcs11t.h.

CK_BYTE_PTR CK_AES_CCM_PARAMS::pNonce

Definition at line 1869 of file pkcs11t.h.

CK_ULONG CK_AES_CCM_PARAMS::ulAADLen

Definition at line 1872 of file pkcs11t.h.

CK_ULONG CK_AES_CCM_PARAMS::ulDataLen

Definition at line 1868 of file pkcs11t.h.

CK_ULONG CK_AES_CCM_PARAMS::ulMACLen

Definition at line 1873 of file pkcs11t.h.

CK_ULONG CK_AES_CCM_PARAMS::ulNonceLen

Definition at line 1870 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h